commit 31b440c8d5a643ee9843551c22304da0f3c92130
Author: Joshua Colp <jcolp@digium.com>
Date:   Wed Dec 27 20:42:56 2017 -0400

    chan_sip: Check that an iostream exists before accessing.
    
    Before getting the file descriptor for an iostream check
    that it is present.
    
    ASTERISK-27534
    
    Change-Id: Ie0aa1394007a37c30e337ea1176a6fb3a63bc99c

diff --git a/channels/chan_sip.c b/channels/chan_sip.c
index eee873b..7efdd69 100644
--- a/channels/chan_sip.c
+++ b/channels/chan_sip.c
@@ -29256,7 +29256,7 @@ static int sip_prepare_socket(struct sip_pvt *p)
 		return s->fd;
 	}
 	if ((s->type & (AST_TRANSPORT_TCP | AST_TRANSPORT_TLS)) &&
-			s->tcptls_session) {
+			s->tcptls_session && s->tcptls_session->stream) {
 		return ast_iostream_get_fd(s->tcptls_session->stream);
 	}
 	if ((s->type & (AST_TRANSPORT_WS | AST_TRANSPORT_WSS))) {
